Skip to main content
GET
/
api
/
contacts
/
{clientId}
Get a contact
curl --request GET \
  --url https://api.recepta.ai/api/v1/api/contacts/{clientId} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.recepta.ai/api/v1/api/contacts/{clientId}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.recepta.ai/api/v1/api/contacts/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "client": {
      "id": "697929d5ebccbcca5cdaf13b",
      "firstName": "Jane",
      "lastName": "Doe",
      "fullName": "Jane Doe",
      "email": "jane@example.com",
      "phone": "+15551234567",
      "source": "API",
      "tags": [
        "lead",
        "website"
      ],
      "status": "active",
      "notes": "Interested in premium plan",
      "company_name": "Acme Corp",
      "address": "<string>",
      "city": "<string>",
      "state": "<string>",
      "zipCode": "<string>",
      "country": "<string>",
      "customFields": {
        "referralSource": "google"
      },
      "isActive": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  }
}
{
"success": false,
"message": "Error description"
}

Authorizations

x-api-key
string
header
required

Your Recepta API key (starts with rcp_)

Path Parameters

clientId
string
required

Contact ID

Response

Contact retrieved

success
boolean
Example:

true

data
object